<?php
set_time_limit(0);

include_once('config.php');
include_once('libs/DudeCurl.php');
$curl = new DudeCurl();
 
 /* Парсим страницу чтобы достать public_key */
 $data = $curl->init("http://www.spb.tele2.ru/send_sms.html")->exec(); 
 preg_match("#id='public_key'.*?value='(.*?)'#is", $data, $m);

 $public_key = $m[1];
 
 /* Отправляем запрос на содержимое каптчи ...*/
 $content_captcha = $curl->init("http://tools.tele2.ru/get_rni.php?public_key=".$public_key)->exec();
 
 /* Сохраняем тело капчи в файл */
 $filename = 'captcha'.$public_key.'.png';
 $fp = fopen('captches/'.$filename.'', 'w');
 fwrite($fp, $content_captcha);
 fclose($fp);
 
 /* Необходимые POST запросы для antigate.com */
 
  $post = array(
   'method'    => 'post', 
   'key'       => $apikey, 
   'file'      => '@'.$_SERVER['DOCUMENT_ROOT'].'/tele2/captches/'.$filename,
   'phrase'	=> $phrase,
   'regsense'	=> $regsense,
   'numeric'	=> $numeric,
   'min_len'	=> $min_len,
   'max_len'	=> $max_len      
  );
  
  /* Отправляем капчу на разгадку */
  $get_send = $curl->init("http://antigate.com/in.php")->opts('post',$post)->exec();
  
  $ex = explode("|", $get_send);
  $result = $ex[0];
  $captcha_id = $ex[1];
  
  if($result != 'OK'){ 
   exit('Server returned error :('); 
  }
 
 /* Засыпаем на N секунд, сразу ведь каптчу не разгадают :) */ 
 sleep($rtimeout);
 
 $waittime = 0;
 $answer = false; 
  while(!$answer){
		    
   /* Отправляем запрос на статус каптчи */
   $status_captcha = $curl->init('http://antigate.com/res.php?key='.$apikey.'&action=get&id='.$captcha_id)->exec();
			
   if ($status_captcha == 'CAPCHA_NOT_READY'){
            	
     $waittime += $rtimeout;
     if ($waittime > $mtimeout){
      break;
     }
     
	 $answer = false;
     sleep($rtimeout);
   }else{
     $ex = explode("|", $status_captcha);
     $result = trim($ex[0]);
			
     if ($result == 'OK'){
	  $answer = true;
	  $captcha_text = trim($ex[1]);				
	 }   
   }       
  }

 /* Отправляем наше сообщение */
 $data_send = $curl->init("http://www.spb.tele2.ru/send_sms.html?do=send&smstext=".urlencode($sms_text)."&phone_code=".$phode_code."&number=".$number."&sms_text=".urlencode($sms_text)."&private_key=".$captcha_text."&public_key=".$public_key."&submit.x=44&submit.y=1&submit=%D0%9E%D1%82%D0%BF%D1%80%D0%B0%D0%B2%D0%B8%D1%82%D1%8C")->exec();
 print $data_send;
?>
